StarSling
APISkills

Get pinned skill

Returns the pinned commit, GitHub archive URL, and SHA-256 checksum for a StarSling-managed agent skill. The caller must belong to the requested GitHub organization.

View Markdown
GET/api/skill/{name}

Authorization

bearerAuth
AuthorizationBearer <token>

Session token from sling login.

In: header

Path Parameters

name*string

Name of a pinned skill.

Length1 <= length

Query Parameters

org*string

GitHub organization login. The caller must be a member.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/skill/ci-speedup?org=acme"
{  "commit": "8c724c95eca0b6bf4ccefc411197c23593892110",  "tarball_url": "https://codeload.github.com/starslingdev/skills/tar.gz/8c724c95eca0b6bf4ccefc411197c23593892110",  "sha256": "8405ac78e99303df3cc6af2de13fba4139b82e969a0fdf495b63a0c411376ec6"}